3.5mm USB A & C Audio Adapter for GNU / Linux (TPE-NGKGAD)

 3.5mm USB A & C Audio Adapter for GNU / Linux (TPE-NGKGAD)
If you're in the market for a widely supported USB-C or A audio adapter you've found the best solution for GNU/Linux on the market. Unlike many USB audio adapters that are poorly supported this adapter will work with whichever flavor of GNU/Linux you enjoy using. It'll also work with most cell phones, gaming consoles, and similar devices. With a libre-friendly sound chip and a design that won't consume your limited # of USB ports it's a great work-around for anyone with a flaky built-in audio chipset.

  • Support for Mic input and Audio output

  • USB Audio Class Compliant

  • Supports all popular and libre (free) distributions

  • Not dependent on NDISWrapper, binary blobs, or proprietary drivers-firmware

  • Wider compatibility than others type C to 3.5mm adapters

  • Independent chip for sound decoding with a sound sample rate up to 16 bit / 48 kHz


Supports distributions and releases with a 4.15+ kernel

Partial List Of Supported Releases:

Trisquel 9, 10, 11
Parabola GNU/Linux 2019.03.10, 2020.01.18, 2020.01.22, 2020.08.02, 2020.08.03, 2020.09, 2021.08.11, 2022.04, 2024.02
Slint 15.0
Slackware 15.0
Ubuntu 18.04, 18.10, 19.04, 19.10, 20.04, 20.10, 21.04, 21.10, 22.04, 22.10, 23.04, 23.10
Lubuntu 18.04, 18.10, 19.04, 19.10, 20.04, 20.10, 21.04, 21.10, 22.04, 22.10, 23.04, 23.10
Kubuntu 18.04, 18.10, 19.04, 19.10, 20.04, 20.10, 21.04, 21.10, 22.04, 22.10, 23.04, 23.10
Peppermint Linux OS 10, 10 Respin, 10 Respin 20191210, 2022-02-02, 2022-10-02, 2022-11-07, 2022-11-28, 2023-07-01, 2023-10-15
Linux Mint 18, 18.1, 18.2, 18.3, 19, 19.1, 19.2, 19.3, 20, 20.1, 20.2, 20.3, 21, 21.1, 21.2, 21.2 Edge, 21.3, 21.3 Edge
Linux Mint Debian Edition (LMDE) 4, 5, 6
Debian 10, 11, 12
elementary OS 5.0, 5.1, 5.1.2, 5.1.3, 5.1.4, 5.1.5, 5.1.6, 5.1.7, 6, 6.1, 7, 7.1
ZorinOS 15, 15.1, 15.2, 15.3, 16, 16.1, 16.2, 16.3, 17
Fedora 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39
Rocky Linux 9 Series 9.0, 9.1, 9.2, 9.3
Rocky Linux 8 Series 8.4, 8.5, 8.6, 8.7, 8.8, 8.9
AlmaLinux 9 Series 9.0, 9.1, 9.2, 9.3
AlmaLinux 8 Series 8.3, 8.4, 8.5, 8.6, 8.7, 8.8, 8.9
Red Hat Enterprise Linux (RHEL) 9 Series 9.0, 9.1, 9.2, 9.3
Red Hat Enterprise Linux (RHEL) 8 Series 8, 8.1, 8.2, 8.3, 8.4, 8.5, 8.6, 8.7, 8.8, 8.9
CentOS Stream 8, 9
CentOS 8 Series 8, 8.1, 8.2, 8.3, (discontinued)
Mageia 7, 7.1, 8, 9
Tails 4.0, 4.1, 4.1.1, 4.2, 4.2.2, 4.3, 4.4, 4.4.1, 4.5, 4.6, 4.7, 4.8, 4.9, 4.10, 4.11, 4.12, 4.13, 4.14, 4.15, 4.15.1, 4.16, 4.17, 4.18, 4.19, 4.20, 4.21, 4.22, 4.23, 4.24, 4.25, 4.26, 4.27, 4.28, 4.29, 5.0, 5.1, 5.1.1, 5.2, 5.3, 5.3.1, 5.4, 5.5, 5.6, 5.7, 5.8, 5.9, 5.10, 5.11, 5.12, 5.13, 5.14, 5.15.1, 5.16, 5.16.1, 5.17, 5.18, 5.19, 5.19.1, 5.20, 5.21, 5.22, 6.0


All recently released distributions are compatible.

Get inexpensive hassle-free repair, replacement, and support for your device. Whether it's been damaged or you just can't figure out why it's not working we'll be here to help. Purchase up to 3 years of total support and protection.